Topic
  • 2 replies
  • Latest Post - ‏2012-10-01T16:37:16Z by AdS_CT1H
SystemAdmin
SystemAdmin
6089 Posts

Pinned topic Error in stating WID after upgrading from 7.0.0.0 to 7.0.0.5

‏2012-10-01T07:16:00Z |
Hi,
Upgrading WID from 7.0.0.0 to 7.0.0.5 is not working. There is no problem while upgrading via IM. After successful upgrading, WID throws long error log and fails to come up.
Log is quite long, here is som parts of log file under wid\configuration.
!ENTRY org.eclipse.osgi 4 0 2012-10-01 08:28:28.897
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:236)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
at java.lang.reflect.Method.invoke(Method.java:611)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:549)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
at org.eclipse.equinox.launcher.Main.run(Main.java:1236)

!ENTRY org.eclipse.osgi 2 0 2012-10-01 08:28:29.990
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-10-01 08:28:29.990
!MESSAGE Bundle reference:file:../SDPShared\plugins\com.ibm.wbiserver.eventsequencing.bpel.validation_7.0.0.200910271000.jar was not resolved.

---
Any ideas..
Updated on 2012-10-01T16:37:16Z at 2012-10-01T16:37:16Z by AdS_CT1H
  • SystemAdmin
    SystemAdmin
    6089 Posts

    Re: Error in stating WID after upgrading from 7.0.0.0 to 7.0.0.5

    ‏2012-10-01T11:25:08Z  
    worked after starting with
    -clean -product com.ibm.wbit.feature.ide
  • AdS_CT1H
    AdS_CT1H
    3 Posts

    Re: Error in stating WID after upgrading from 7.0.0.0 to 7.0.0.5

    ‏2012-10-01T16:37:16Z  
    Hi. I have the same problem, but I don't have know about this solution. Thanks.
    To solve this problem, I revert the instalation to 7.0.0.0 and update to 7.0.0.4, then to update to 7.0.0.5.